Bug 171551 - kernel boot hangs after isapnp: No Plug&Play devices found
kernel boot hangs after isapnp: No Plug&Play devices found
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-22 21:21 EDT by jon martin solaas
Modified: 2015-01-04 17:22 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-04 21:49:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description jon martin solaas 2005-10-22 21:21:39 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc4 Firefox/1.0.7

Description of problem:
HW: Dell Inspiron 5150 P4 Hyperthreading. The kernel hangs after the printout of "isapnp: No Plug&Play devices found". Occurs on kernel-2.6.13-1.1526smp i686, kernel-2.6.13-1.1532smp i686. All previous kernel versions for FC4 has worked flawlessly. I have nvidia and ndiswrapper modules from rpm.livna.org installed, but this happens without those installed as well.

Version-Release number of selected component (if applicable):
kernel-2.6.13-1.1526smp, kernel-2.6.13-1.1532smp

How reproducible:
Always

Steps to Reproduce:
1. Turn Computer on
2. Select a 2.6.13-kernel in grub
3. Let the machine boot
  

Actual Results:  boot process hangs after printout of "isapnp: No Plug&Play devices found".

Expected Results:  continue boot process, probably with printout of "Real Time Clock Driver 1.12", which is what happens when running 2.6.12 kernel.

Additional info:

The kernels are installed using yum update, grub.conf is updated automatically and is not customized in any way. No kernel parameter tuning or anything, just plain installation and configuration.
Comment 1 Thomas Tendl 2005-10-27 03:38:30 EDT
Confirmed as a problem on my machines (Fujitsu-Siemens, Silicon Integrated
Systems [SiS] 661FX/M661FX/M661MX Host, P4-2.8 HT). 

Same workaround possible as on #160358 (-> booting with acpi=off). Single
processor kernel boots on affected machines without any problem.
Comment 2 jon martin solaas 2005-10-27 15:24:40 EDT
acpi=off actually boots, but system hangs when loading ndiswrapper from livna
(ndiswrapper 1.4, and kernel module for latest 2.6.13 kernel)
Comment 3 Dave Jones 2005-11-10 14:10:33 EST
2.6.14-1.1637_FC4 has been released as an update for FC4.
Please retest with this update, as a large amount of code has been changed in
this release, which may have fixed your problem.

Thank you.
Comment 4 Thomas Tendl 2005-11-11 02:22:11 EST
same behaviour as before. smp kernel only boots with acpi=off
Comment 5 Dave Jones 2006-02-03 01:34:18 EST
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.
Comment 6 John Thacker 2006-05-04 21:49:10 EDT
Closing per previous comment.

Note You need to log in before you can comment on or make changes to this bug.